package application;

import outils.Liste;
import outils.ListeTableau;
import outils.Parcours;

public class EssaiListeTableau {
	public static void main(String arg[]) {
		Liste<String> lst;
		lst = new ListeTableau<String>();
		lst.ajoute("un");
		lst.ajoute("deux");
		lst.ajoute("trois");
		lst.ajoute("quatre");
		lst.ajoute("cinq");
		lst.ajoute("six");
		lst.ajoute("sept");
		int i;
//parcours à l'endroit
		System.out.println("*** parcours à l'endroit ***");
		for(i = 0; i < lst.nombreDElements(); i++) {
			System.out.println(lst.element(i));
		}
//parcours à l'envers
		System.out.println("*** parcours à l'envers ***");
		for(i = lst.nombreDElements() - 1; i >= 0; i--) {
			System.out.println(lst.element(i));
		}
//parcours par objets de parcours
		System.out.println("*** parcours simultanés par objets de parcours ***");
		Parcours<String> pEndroit, pEnvers;
		pEndroit = lst.parcours();
		pEnvers = lst.parcours();
		while(pEndroit.encore()) {
			System.out.println(String.format("%-10s\t%-10s", pEndroit.elementCourant(), pEnvers.elementCourant()));
			pEndroit.suite();
			pEnvers.suite();
		}
	}
}
